# Uses of Class
java.text.NumberFormat

Packages that use NumberFormat
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
java.text.spi
Service provider classes for the classes in the java.text package.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of NumberFormat in java.text

Subclasses of NumberFormat in java.text
Modifier and Type
Class
Description
`class`
`ChoiceFormat`
`ChoiceFormat` is a concrete subclass of `NumberFormat` that allows you to attach a format to a range of numbers.
`final class`
`CompactNumberFormat`
`CompactNumberFormat` is a concrete subclass of `NumberFormat` that formats a decimal number in a localized compact form.
`class`
`DecimalFormat`
`DecimalFormat` is a concrete subclass of `NumberFormat` that formats decimal numbers in a localized manner.
Fields in java.text declared as NumberFormat
Modifier and Type
Field
Description
`protected NumberFormat`
DateFormat.`numberFormat`
The number formatter that `DateFormat` uses to format numbers in dates and times.
Methods in java.text that return NumberFormat
Modifier and Type
Method
Description
`static NumberFormat`
NumberFormat.`getCompactNumberInstance()`
Returns a compact number format for the default `FORMAT` locale with `"SHORT"` format style.
`static NumberFormat`
NumberFormat.`getCompactNumberInstance(Locale locale, NumberFormat.Style formatStyle)`
Returns a compact number format for the specified `locale` and `formatStyle`.
`static final NumberFormat`
NumberFormat.`getCurrencyInstance()`
Returns a currency format for the current default `FORMAT` locale.
`static NumberFormat`
NumberFormat.`getCurrencyInstance(Locale inLocale)`
Returns a currency format for the specified locale.
`static final NumberFormat`
NumberFormat.`getInstance()`
Returns a general-purpose number format for the current default `FORMAT` locale.
`static NumberFormat`
NumberFormat.`getInstance(Locale inLocale)`
Returns a general-purpose number format for the specified locale.
`static final NumberFormat`
NumberFormat.`getIntegerInstance()`
Returns an integer number format for the current default `FORMAT` locale.
`static NumberFormat`
NumberFormat.`getIntegerInstance(Locale inLocale)`
Returns an integer number format for the specified locale.
`NumberFormat`
DateFormat.`getNumberFormat()`
Gets the number formatter which this date/time formatter uses to format and parse a time.
`static final NumberFormat`
NumberFormat.`getNumberInstance()`
Returns a general-purpose number format for the current default `FORMAT` locale.
`static NumberFormat`
NumberFormat.`getNumberInstance(Locale inLocale)`
Returns a general-purpose number format for the specified locale.
`static final NumberFormat`
NumberFormat.`getPercentInstance()`
Returns a percentage format for the current default `FORMAT` locale.
`static NumberFormat`
NumberFormat.`getPercentInstance(Locale inLocale)`
Returns a percentage format for the specified locale.
Methods in java.text with parameters of type NumberFormat
Modifier and Type
Method
Description
`void`
DateFormat.`setNumberFormat(NumberFormat newNumberFormat)`
Allows you to set the number formatter.

## Uses of NumberFormat in java.text.spi

Methods in java.text.spi that return NumberFormat
Modifier and Type
Method
Description
`NumberFormat`
NumberFormatProvider.`getCompactNumberInstance(Locale locale, NumberFormat.Style formatStyle)`
Returns a new `NumberFormat` instance which formats a number in its compact form for the specified `locale` and `formatStyle`.
`abstract NumberFormat`
NumberFormatProvider.`getCurrencyInstance(Locale locale)`
Returns a new `NumberFormat` instance which formats monetary values for the specified locale.
`abstract NumberFormat`
NumberFormatProvider.`getIntegerInstance(Locale locale)`
Returns a new `NumberFormat` instance which formats integer values for the specified locale.
`abstract NumberFormat`
NumberFormatProvider.`getNumberInstance(Locale locale)`
Returns a new general-purpose `NumberFormat` instance for the specified locale.
`abstract NumberFormat`
NumberFormatProvider.`getPercentInstance(Locale locale)`
Returns a new `NumberFormat` instance which formats percentage values for the specified locale.

## Uses of NumberFormat in javax.swing.text

Constructors in javax.swing.text with parameters of type NumberFormat
Modifier
Constructor
Description
``
`NumberFormatter(NumberFormat format)`
Creates a NumberFormatter with the specified Format instance.